View Issue Details

IDProjectCategoryView StatusLast Update
0004732Talerotherpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004732: "conflict" case /track frontends
DescriptionBoth frontends need to handle the '409 Conflict' status returned by the backend as response for /track/transfer and /track/transaction.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-10-27 16:37

manager   ~0011394

In 59a9320 each frontend renders the conflict error. Since the JSON returned
contains lots of information, it's still to be decided how the error page should look like.

Christian Grothoff

2016-10-30 11:38

manager   ~0011396

I think we should output the key points: which transaction and which wire transfer caused the conflict (i.e. transaction X was both supposed to be covered by wire transfer Y and also supposed to be NOT covered by wire transfer Y). The rest of the JSON is cryptographic proof and we should just have a way to "download cryptographic evidence" which allows the user to export the JSON to file. Ideally, we'd later have a command-line tool to check such 'evidence' files (in court); but such tools can wait for now IMO.

Marcello Stanisci

2016-11-02 21:08

manager   ~0011402

Error messages rendered, export json missing.

Marcello Stanisci

2016-11-03 17:32

manager   ~0011415

The logic to save the file has been added. Some testing is needed now!

Marcello Stanisci

2016-11-04 17:19

manager   ~0011429

Last edited: 2016-11-04 17:19

View 2 revisions

(Local) testing is currently blocked by 0004754, as it's still not possible to
withdraw/buy/aggregate to get a workable wtid.

Marcello Stanisci

2016-11-07 16:51

manager   ~0011444

Waiting for 0004762.

Marcello Stanisci

2016-11-16 23:02

manager   ~0011499

Waiting for 0004781, this needs to be tested "by hand" by temporariliy patch
the merchant.

Marcello Stanisci

2016-11-28 14:50

manager   ~0011550

This also needs the aggregator working fine (which is not quite always the case), as otherwise no tracking can happen.

Marcello Stanisci

2016-11-30 16:22

manager   ~0011559

Do test also tutorial merchant on this.

Marcello Stanisci

2016-12-05 17:13

manager   ~0011567

Last edited: 2016-12-05 17:39

View 2 revisions

Fixed in 85b0f7a8d (frontends) and 3b93f18 (tutorial site).

Issue History

Date Modified Username Field Change
2016-10-15 23:35 Marcello Stanisci New Issue
2016-10-15 23:35 Marcello Stanisci Assigned To => Marcello Stanisci
2016-10-15 23:35 Marcello Stanisci Status new => assigned
2016-10-26 22:09 Marcello Stanisci Description Updated View Revisions
2016-10-27 16:37 Marcello Stanisci Note Added: 0011394
2016-10-30 11:38 Christian Grothoff Note Added: 0011396
2016-11-02 21:08 Marcello Stanisci Note Added: 0011402
2016-11-03 13:09 Marcello Stanisci Priority normal => high
2016-11-03 17:32 Marcello Stanisci Note Added: 0011415
2016-11-04 17:19 Marcello Stanisci Note Added: 0011429
2016-11-04 17:19 Marcello Stanisci Note Edited: 0011429 View Revisions
2016-11-07 16:51 Marcello Stanisci Note Added: 0011444
2016-11-15 15:54 Christian Grothoff Product Version => SVN HEAD
2016-11-15 15:54 Christian Grothoff Target Version => 0.3
2016-11-16 23:02 Marcello Stanisci Note Added: 0011499
2016-11-28 14:50 Marcello Stanisci Note Added: 0011550
2016-11-30 16:22 Marcello Stanisci Note Added: 0011559
2016-12-05 17:13 Marcello Stanisci Status assigned => resolved
2016-12-05 17:13 Marcello Stanisci Resolution open => fixed
2016-12-05 17:13 Marcello Stanisci Note Added: 0011567
2016-12-05 17:39 Marcello Stanisci Note Edited: 0011567 View Revisions
2017-01-16 10:19 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed